"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAlive = getAlive;
exports.getComponentFromProp = void 0;
exports.getMenuItem = getMenuItem;

var getComponentFromProp = function getComponentFromProp(instance, prop) {
  var slots = instance.slots && instance.slots();
  return slots[prop] || instance.props[prop];
};

exports.getComponentFromProp = getComponentFromProp;

function getMenuItem(item) {
  var _item$meta;

  return {
    path: item.path || '/',
    title: ((_item$meta = item.meta) === null || _item$meta === void 0 ? void 0 : _item$meta.title) || ''
  };
}

function getAlive(_ref) {
  var menuData = _ref.menuData;
  var list = ['xxx'];

  if (Array.isArray(menuData)) {
    menuData.forEach(function (item) {
      if (item.meta.keepAlive) {
        list.push(item.name);
      }
    });
  }

  return list.join(',');
}